## org.apache.cassandra.config
Enum DatabaseDescriptor.DiskAccessMode

    java.lang.Object
      java.lang.Enum<DatabaseDescriptor.DiskAccessMode>
          org.apache.cassandra.config.DatabaseDescriptor.DiskAccessMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DatabaseDescriptor.DiskAccessMode>

Enclosing class:
  DatabaseDescriptor

    public static enum DatabaseDescriptor.DiskAccessMode

extends java.lang.Enum<DatabaseDescriptor.DiskAccessMode>

Enum Constant Summary
`auto`
`mmap`
`mmap_index_only`
`standard`

Method Summary
`static DatabaseDescriptor.DiskAccessMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DatabaseDescriptor.DiskAccessMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### auto

    public static final DatabaseDescriptor.DiskAccessMode auto

### mmap

    public static final DatabaseDescriptor.DiskAccessMode mmap

### mmap_index_only

    public static final DatabaseDescriptor.DiskAccessMode mmap_index_only

### standard

    public static final DatabaseDescriptor.DiskAccessMode standard

Method Detail

### values

    public static DatabaseDescriptor.DiskAccessMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DatabaseDescriptor.DiskAccessMode c : DatabaseDescriptor.DiskAccessMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DatabaseDescriptor.DiskAccessMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2010 The Apache Software Foundation